Import
Large volume import operations
Starts import from the CSV file in job (asynchronously).
Request can either accept id of the uploaded file that contains CSV input which should be used for import - or the file itself.
Collibra REST API authentication using Basic Authentication.
Whether job status notification should be sent. The default value is false.
falseThe batchSize parameter is now deprecated and is ignored during command execution.
1000Whether the import should be triggered as a simulation. The default value is false.
If true, the result of the import simulation is available at the end of the job but none of the changes are applied in Collibra.
This parameter does not apply to synchronization requests. It is only relevant for import and ignored for synchronization methods.
falseWhether the import Result should be persisted or forgotten. The default value is false.
If true, the list of added/updated/removed resources will be stored in the job message.
If the resulting job message is too long, no resource information will be stored.
DEPRECATED:This parameter is deprecated and will be removed in the future..
falseThe id of uploaded file.
NOTE: if this field is used, file should not be set.
The file to upload. If set, then also fileName should be provided.
NOTE: if this field is used, fileId should not be set.
The name of the file to upload. If set, then also file should be provided.
NOTE: if this field is used, fileId should not be set.
import_fileDelete the file from the Collibra Platform if the import / synchronization job is successful. The default value is false
NOTE: if the file corresponds to an attachment, the attachment will be deleted.
falseWhether the import should continue if some of the import commands are invalid or failed to execute. The default value is false.
If true, the valid commands are still committed to the database, which can lead to partial results being stored.
falseShould all existing relations for the specified relation types be replaced or should the import only add new relations. Possible values are: ADD_OR_IGNORE and REPLACE. The default value is: REPLACE.
REPLACEPattern: ADD_OR_IGNORE|REPLACEShould all existing attributes for the specified attribute types be replaced or should the import only add new attributes whose value didn't exist yet. Possible values are: ADD_OR_IGNORE and REPLACE. The default value is: REPLACE.
REPLACEPattern: ADD_OR_IGNORE|REPLACEThe delimiter character used to separate entries. The default value is ';'.
;The delimiter character used for quoted entries. The default value is '"'.
"The delimiter character used to escape separator or quote character. The default value is '\'.
\Whether the characters outside quotes should be ignored. The default value is false.
falseWhether whitespace characters before quotes should be ignored. The default value is false.
falseWhether the first row of the imported CSV file is the header. The default value is false.
falseThe template that should be used for parsing and importing the contents of the CSV file.
There is one placeholder currently supported:
- ${x} - refers to the n-th column in the CSV file, e.g. ${1}, ${2}, ...)
Example of a correct JSON template:
[
{
"resourceType": "Asset",
"identifier": {
"name": "${1}",
"domain": {
"name": "${2}",
"community": {
"name": "Some Community"
}
}
},
"attributes" : {
"00000000-0000-0000-0000-000000003115" : [ {
"value" : "${3}"
} ],
"00000000-0000-0000-0000-000000000222" : [ {
"value" : "${4}"
} ]
}
}
]
Import job successfully started.
Represents a job. Job is a single atomic task that is to be performed asynchronously
The id of the represented object (entity).
The id of the user that created this resource.
4d250cc5-e583-4640-9874-b93d82c7a6cbThe timestamp (in UTC time standard) of the creation of this resource.
1475503010320The id of the user who modified this resource the last time.
a073ff90-e7bc-4b35-ba90-c4d475f642feThe timestamp (in UTC time standard) of the last modification of this resource.
1476703764163Whether this is a system resource or not.
The type of the resource, e.g. [Community, Asset, Domain, Attribute, Relation, WorkflowInstance, ...]. This property is deprecated and will be removed in the future. To stay backwards compatible while still allowing new types of resources to be introduced, a resource discriminator property (of type String) has been added to the subtypes of Resource where it adds value, e.g. assignedResourceDiscriminator on AssignedResource, or attributeDiscriminator on Attribute. A discriminator is only added on subtypes whose declared return type can represent more than one kind of resource; it is omitted where the return type can only ever be a single kind, as it would then always hold the same value and carry no additional information. For new types of resource that didn't exist before this change, the resourceType will be BaseDataType.
The name of the resource.
Test nameThe type of the job.
IMPORTThe ID of the user that initiated this job.
The visibility of the job.
The progress percentage of the job.
50Whether this job is cancelable or not. If set to false it will not be possible to cancel the job once submitted.
The start date of the job.
1488016800The end date of the job.
1488021800The state of the job.
COMPLETEDPossible values: The result of the job.
SUCCESSPossible values: The message of the job.
Import finished in 12s.POST /rest/2.0/import/csv-job HTTP/1.1
Authorization: Basic username:password
Content-Type: multipart/form-data
Accept: */*
Content-Length: 366
{
"sendNotification": false,
"simulation": false,
"fileId": "123e4567-e89b-12d3-a456-426614174000",
"file": "binary",
"fileName": "import_file",
"deleteFile": false,
"continueOnError": false,
"relationsAction": "REPLACE",
"attributesAction": "REPLACE",
"separator": ";",
"quote": "\"",
"escape": "\\",
"strictQuotes": false,
"ignoreLeadingWhitespace": false,
"headerRow": false,
"template": "text"
}Import job successfully started.
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"createdBy": "4d250cc5-e583-4640-9874-b93d82c7a6cb",
"createdOn": 1475503010320,
"lastModifiedBy": "a073ff90-e7bc-4b35-ba90-c4d475f642fe",
"lastModifiedOn": 1476703764163,
"system": true,
"name": "Test name",
"type": "IMPORT",
"userId": "123e4567-e89b-12d3-a456-426614174000",
"visibility": 1,
"progressPercentage": 50,
"cancelable": true,
"startDate": 1488016800,
"endDate": 1488021800,
"state": "COMPLETED",
"result": "SUCCESS",
"message": "Import finished in 12s."
}Starts import from the Excel file in job (asynchronously).
Request can either accept id of the uploaded file that contains Excel input which should be used for import - or the file itself.
Collibra REST API authentication using Basic Authentication.
Whether job status notification should be sent. The default value is false.
falseThe batchSize parameter is now deprecated and is ignored during command execution.
1000Whether the import should be triggered as a simulation. The default value is false.
If true, the result of the import simulation is available at the end of the job but none of the changes are applied in Collibra.
This parameter does not apply to synchronization requests. It is only relevant for import and ignored for synchronization methods.
falseWhether the import Result should be persisted or forgotten. The default value is false.
If true, the list of added/updated/removed resources will be stored in the job message.
If the resulting job message is too long, no resource information will be stored.
DEPRECATED:This parameter is deprecated and will be removed in the future..
falseThe id of uploaded file.
NOTE: if this field is used, file should not be set.
The file to upload. If set, then also fileName should be provided.
NOTE: if this field is used, fileId should not be set.
The name of the file to upload. If set, then also file should be provided.
NOTE: if this field is used, fileId should not be set.
import_fileDelete the file from the Collibra Platform if the import / synchronization job is successful. The default value is false
NOTE: if the file corresponds to an attachment, the attachment will be deleted.
falseWhether the import should continue if some of the import commands are invalid or failed to execute. The default value is false.
If true, the valid commands are still committed to the database, which can lead to partial results being stored.
falseShould all existing relations for the specified relation types be replaced or should the import only add new relations. Possible values are: ADD_OR_IGNORE and REPLACE. The default value is: REPLACE.
REPLACEPattern: ADD_OR_IGNORE|REPLACEShould all existing attributes for the specified attribute types be replaced or should the import only add new attributes whose value didn't exist yet. Possible values are: ADD_OR_IGNORE and REPLACE. The default value is: REPLACE.
REPLACEPattern: ADD_OR_IGNORE|REPLACEThe name of the Excel sheet
If the name is null and sheetIndex is null, the first sheet
of the workbook will be used for the import.
If the name is null and sheetIndex is not null, the sheet
with the index specified by value of sheetIndex will be used for the import.
The index of the Excel sheet
If the index is null and sheetName is null, the first sheet
of the workbook will be used for the import.
If the index is null and sheetName is not null, the sheet
with the name specified by value of sheetName will be used for the import.
Whether the first row of the imported Excel sheet is the header. The default value is false.
falseThe template that should be used for parsing and importing the contents of the Excel file.
<br/><p>There is one placeholder currently supported:
<ul>
<li><b>${x}</b> - refers to the n-th column in the Excel file, e.g. ${1}, ${2}, ...)</li>
</ul>
<p>Example of a correct JSON template:</p>
<pre>
[
{
"resourceType": "Asset",
"identifier": {
"name": "${1}",
"domain": {
"name": "${2}",
"community": {
"name": "Some Community"
}
}
},
"attributes" : {
"00000000-0000-0000-0000-000000003115" : [ {
"value" : "${3}"
} ],
"00000000-0000-0000-0000-000000000222" : [ {
"value" : "${4}"
} ]
}
}
]
</pre>
Import job successfully started.
Represents a job. Job is a single atomic task that is to be performed asynchronously
The id of the represented object (entity).
The id of the user that created this resource.
4d250cc5-e583-4640-9874-b93d82c7a6cbThe timestamp (in UTC time standard) of the creation of this resource.
1475503010320The id of the user who modified this resource the last time.
a073ff90-e7bc-4b35-ba90-c4d475f642feThe timestamp (in UTC time standard) of the last modification of this resource.
1476703764163Whether this is a system resource or not.
The type of the resource, e.g. [Community, Asset, Domain, Attribute, Relation, WorkflowInstance, ...]. This property is deprecated and will be removed in the future. To stay backwards compatible while still allowing new types of resources to be introduced, a resource discriminator property (of type String) has been added to the subtypes of Resource where it adds value, e.g. assignedResourceDiscriminator on AssignedResource, or attributeDiscriminator on Attribute. A discriminator is only added on subtypes whose declared return type can represent more than one kind of resource; it is omitted where the return type can only ever be a single kind, as it would then always hold the same value and carry no additional information. For new types of resource that didn't exist before this change, the resourceType will be BaseDataType.
The name of the resource.
Test nameThe type of the job.
IMPORTThe ID of the user that initiated this job.
The visibility of the job.
The progress percentage of the job.
50Whether this job is cancelable or not. If set to false it will not be possible to cancel the job once submitted.
The start date of the job.
1488016800The end date of the job.
1488021800The state of the job.
COMPLETEDPossible values: The result of the job.
SUCCESSPossible values: The message of the job.
Import finished in 12s.POST /rest/2.0/import/excel-job HTTP/1.1
Authorization: Basic username:password
Content-Type: multipart/form-data
Accept: */*
Content-Length: 304
{
"sendNotification": false,
"simulation": false,
"fileId": "123e4567-e89b-12d3-a456-426614174000",
"file": "binary",
"fileName": "import_file",
"deleteFile": false,
"continueOnError": false,
"relationsAction": "REPLACE",
"attributesAction": "REPLACE",
"sheetName": "text",
"sheetIndex": 1,
"headerRow": false,
"template": "text"
}Import job successfully started.
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"createdBy": "4d250cc5-e583-4640-9874-b93d82c7a6cb",
"createdOn": 1475503010320,
"lastModifiedBy": "a073ff90-e7bc-4b35-ba90-c4d475f642fe",
"lastModifiedOn": 1476703764163,
"system": true,
"name": "Test name",
"type": "IMPORT",
"userId": "123e4567-e89b-12d3-a456-426614174000",
"visibility": 1,
"progressPercentage": 50,
"cancelable": true,
"startDate": 1488016800,
"endDate": 1488021800,
"state": "COMPLETED",
"result": "SUCCESS",
"message": "Import finished in 12s."
}Starts import from the JSON file in job (asynchronously).
Request can either accept id of the uploaded file that contains JSON input which should be used for import - or the file itself.
Collibra REST API authentication using Basic Authentication.
Whether job status notification should be sent. The default value is false.
falseThe batchSize parameter is now deprecated and is ignored during command execution.
1000Whether the import should be triggered as a simulation. The default value is false.
If true, the result of the import simulation is available at the end of the job but none of the changes are applied in Collibra.
This parameter does not apply to synchronization requests. It is only relevant for import and ignored for synchronization methods.
falseWhether the import Result should be persisted or forgotten. The default value is false.
If true, the list of added/updated/removed resources will be stored in the job message.
If the resulting job message is too long, no resource information will be stored.
DEPRECATED:This parameter is deprecated and will be removed in the future..
falseThe id of uploaded file.
NOTE: if this field is used, file should not be set.
The file to upload. If set, then also fileName should be provided.
NOTE: if this field is used, fileId should not be set.
The name of the file to upload. If set, then also file should be provided.
NOTE: if this field is used, fileId should not be set.
import_fileDelete the file from the Collibra Platform if the import / synchronization job is successful. The default value is false
NOTE: if the file corresponds to an attachment, the attachment will be deleted.
falseWhether the import should continue if some of the import commands are invalid or failed to execute. The default value is false.
If true, the valid commands are still committed to the database, which can lead to partial results being stored.
falseShould all existing relations for the specified relation types be replaced or should the import only add new relations. Possible values are: ADD_OR_IGNORE and REPLACE. The default value is: REPLACE.
REPLACEPattern: ADD_OR_IGNORE|REPLACEShould all existing attributes for the specified attribute types be replaced or should the import only add new attributes whose value didn't exist yet. Possible values are: ADD_OR_IGNORE and REPLACE. The default value is: REPLACE.
REPLACEPattern: ADD_OR_IGNORE|REPLACEWhether empty attribute values should be allowed during import. The default value is false.
When false (default), attribute values that are empty or blank are filtered out and not imported. When true, empty attribute values are preserved and imported as-is.
falseImport job successfully started.
Represents a job. Job is a single atomic task that is to be performed asynchronously
The id of the represented object (entity).
The id of the user that created this resource.
4d250cc5-e583-4640-9874-b93d82c7a6cbThe timestamp (in UTC time standard) of the creation of this resource.
1475503010320The id of the user who modified this resource the last time.
a073ff90-e7bc-4b35-ba90-c4d475f642feThe timestamp (in UTC time standard) of the last modification of this resource.
1476703764163Whether this is a system resource or not.
The type of the resource, e.g. [Community, Asset, Domain, Attribute, Relation, WorkflowInstance, ...]. This property is deprecated and will be removed in the future. To stay backwards compatible while still allowing new types of resources to be introduced, a resource discriminator property (of type String) has been added to the subtypes of Resource where it adds value, e.g. assignedResourceDiscriminator on AssignedResource, or attributeDiscriminator on Attribute. A discriminator is only added on subtypes whose declared return type can represent more than one kind of resource; it is omitted where the return type can only ever be a single kind, as it would then always hold the same value and carry no additional information. For new types of resource that didn't exist before this change, the resourceType will be BaseDataType.
The name of the resource.
Test nameThe type of the job.
IMPORTThe ID of the user that initiated this job.
The visibility of the job.
The progress percentage of the job.
50Whether this job is cancelable or not. If set to false it will not be possible to cancel the job once submitted.
The start date of the job.
1488016800The end date of the job.
1488021800The state of the job.
COMPLETEDPossible values: The result of the job.
SUCCESSPossible values: The message of the job.
Import finished in 12s.POST /rest/2.0/import/json-job HTTP/1.1
Authorization: Basic username:password
Content-Type: multipart/form-data
Accept: */*
Content-Length: 268
{
"sendNotification": false,
"simulation": false,
"fileId": "123e4567-e89b-12d3-a456-426614174000",
"file": "binary",
"fileName": "import_file",
"deleteFile": false,
"continueOnError": false,
"relationsAction": "REPLACE",
"attributesAction": "REPLACE",
"allowEmptyAttributeValues": false
}Import job successfully started.
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"createdBy": "4d250cc5-e583-4640-9874-b93d82c7a6cb",
"createdOn": 1475503010320,
"lastModifiedBy": "a073ff90-e7bc-4b35-ba90-c4d475f642fe",
"lastModifiedOn": 1476703764163,
"system": true,
"name": "Test name",
"type": "IMPORT",
"userId": "123e4567-e89b-12d3-a456-426614174000",
"visibility": 1,
"progressPercentage": 50,
"cancelable": true,
"startDate": 1488016800,
"endDate": 1488021800,
"state": "COMPLETED",
"result": "SUCCESS",
"message": "Import finished in 12s."
}Removes all cache entries corresponding to the provided synchronization id.
The synchronization component is optimized to only execute commands that differ from cycle to cycle. Call this method to clear the command cache and force the execution of all commands in this cycle.
Note: this operation does not stop the tracking of the resources identified by the provided synchronization id. The next synchronization process usingthe same id will still be able to detect resources that should be removed.
Collibra REST API authentication using Basic Authentication.
The synchronization id of the operation.
Synchronization cache entries successfully removed.
No content
DELETE /rest/2.0/import/synchronize/{synchronizationId}/evict HTTP/1.1
Authorization: Basic username:password
Accept: */*
Synchronization cache entries successfully removed.
No content
Checks whether given synchronization id already exists.
Collibra REST API authentication using Basic Authentication.
The synchronization id of the operation.
Returns true if synchronization id already exists, false otherwise.
GET /rest/2.0/import/synchronize/exists/{synchronizationId} HTTP/1.1
Authorization: Basic username:password
Accept: */*
Returns true if synchronization id already exists, false otherwise.
trueReturns synchronization information matching the given search criteria.
Only parameters that are specified in this request and have not null values are used for filtering. All other parameters are ignored.
The returned synchronization information satisfies all constraints that are specified in this search criteria. By default a result containing 1000 synchronization infos is returned.
Collibra REST API authentication using Basic Authentication.
The first result to retrieve. If not set (offset = 0), results will be retrieved starting from row 0.
0The maximum number of results to retrieve. If not set (limit = 0), the default limit will be used. The maximum allowed limit is 1000.
0Allows to limit the number of elements that will be counted. -1 will count everything and 0 will cause the count to be skipped
-1The paged response with found synchronization information.
Response containing the paged information.
The total number of results.
1000The offset for the results.
10The maximum number of results to be returned.
100GET /rest/2.0/import/synchronize HTTP/1.1
Authorization: Basic username:password
Accept: */*
The paged response with found synchronization information.
{
"total": 1000,
"offset": 10,
"limit": 100,
"results": [
{
"synchronizationId": "ABCDEF123456789"
}
]
}Removes all information about synchronization process corresponding to provided synchronization id.
Removes all information about synchronization process corresponding to provided synchronization id.
This operation stops tracking of synchronization identified by provided synchronization id. The next synchronization process specified with this id will not be able to detect resources that should be removed.
Collibra REST API authentication using Basic Authentication.
The synchronization id of the operation.
Synchronization successfully untracked.
No content
DELETE /rest/2.0/import/synchronize/{synchronizationId} HTTP/1.1
Authorization: Basic username:password
Accept: */*
Synchronization successfully untracked.
No content
Starts batch synchronization from the CSV file in job (asynchronously).
Request can either accept id of the uploaded file that contains CSV input which should be used for import or the file itself. The input file is treated as a part (batch) of synchronization process. After last batch, finalization (cleanup) process should be called.
Collibra REST API authentication using Basic Authentication.
The synchronization id used to distinguish different synchronizations.
Whether job status notification should be sent. The default value is false.
falseThe batchSize parameter is now deprecated and is ignored during command execution.
1000Whether the import should be triggered as a simulation. The default value is false.
If true, the result of the import simulation is available at the end of the job but none of the changes are applied in Collibra.
This parameter does not apply to synchronization requests. It is only relevant for import and ignored for synchronization methods.
falseWhether the import Result should be persisted or forgotten. The default value is false.
If true, the list of added/updated/removed resources will be stored in the job message.
If the resulting job message is too long, no resource information will be stored.
DEPRECATED:This parameter is deprecated and will be removed in the future..
falseThe id of uploaded file.
NOTE: if this field is used, file should not be set.
The file to upload. If set, then also fileName should be provided.
NOTE: if this field is used, fileId should not be set.
The name of the file to upload. If set, then also file should be provided.
NOTE: if this field is used, fileId should not be set.
synchronization_fileWhether the file should be deleted after the synchronization job is finished, regardless of the result. The default value is false.
NOTE: if the file corresponds to an attachment, the attachment will be deleted.
falseWhether the import should continue if some of the import commands are invalid or failed to execute. The default value is false.
If true, the valid commands are still committed to the database, which can lead to partial results being stored.
falseShould all existing relations for the specified relation types be replaced or should the import only add new relations. Possible values are: ADD_OR_IGNORE and REPLACE. The default value is: REPLACE.
REPLACEPattern: ADD_OR_IGNORE|REPLACEShould all existing attributes for the specified attribute types be replaced or should the import only add new attributes whose value didn't exist yet. Possible values are: ADD_OR_IGNORE and REPLACE. The default value is: REPLACE.
REPLACEPattern: ADD_OR_IGNORE|REPLACEThe delimiter character used to separate entries. The default value is ';'.
;The delimiter character used for quoted entries. The default value is '"'.
"The delimiter character used to escape separator or quote character. The default value is '\'.
\Whether the characters outside quotes should be ignored. The default value is false.
falseWhether whitespace characters before quotes should be ignored. The default value is false.
falseWhether the first row of the synchronized CSV file is the header. The default value is false.
falseThe template that should be used for parsing and synchronizing the contents of the CSV file.
<br/><p>There is one placeholder currently supported:
<ul>
<li><b>${x}</b> - refers to the n-th column in the CSV file, e.g. ${1}, ${2}, ...)</li>"
</ul>
<p>Example of a correct JSON template:</p>
<pre>
[
{
"resourceType": "Asset",
"identifier": {
"name": "${1}",
"domain": {
"name": "${2}",
"community": {
"name": "Some Community"
}
}
},
"attributes" : {
"00000000-0000-0000-0000-000000003115" : [ {
"value" : "${3}"
} ],
"00000000-0000-0000-0000-000000000222" : [ {
"value" : "${4}"
} ]
}
}
]
</pre>
Synchronization batch job successfully started.
Represents a job. Job is a single atomic task that is to be performed asynchronously
The id of the represented object (entity).
The id of the user that created this resource.
4d250cc5-e583-4640-9874-b93d82c7a6cbThe timestamp (in UTC time standard) of the creation of this resource.
1475503010320The id of the user who modified this resource the last time.
a073ff90-e7bc-4b35-ba90-c4d475f642feThe timestamp (in UTC time standard) of the last modification of this resource.
1476703764163Whether this is a system resource or not.
The type of the resource, e.g. [Community, Asset, Domain, Attribute, Relation, WorkflowInstance, ...]. This property is deprecated and will be removed in the future. To stay backwards compatible while still allowing new types of resources to be introduced, a resource discriminator property (of type String) has been added to the subtypes of Resource where it adds value, e.g. assignedResourceDiscriminator on AssignedResource, or attributeDiscriminator on Attribute. A discriminator is only added on subtypes whose declared return type can represent more than one kind of resource; it is omitted where the return type can only ever be a single kind, as it would then always hold the same value and carry no additional information. For new types of resource that didn't exist before this change, the resourceType will be BaseDataType.
The name of the resource.
Test nameThe type of the job.
IMPORTThe ID of the user that initiated this job.
The visibility of the job.
The progress percentage of the job.
50Whether this job is cancelable or not. If set to false it will not be possible to cancel the job once submitted.
The start date of the job.
1488016800The end date of the job.
1488021800The state of the job.
COMPLETEDPossible values: The result of the job.
SUCCESSPossible values: The message of the job.
Import finished in 12s.POST /rest/2.0/import/synchronize/{synchronizationId}/batch/csv-job HTTP/1.1
Authorization: Basic username:password
Content-Type: multipart/form-data
Accept: */*
Content-Length: 375
{
"sendNotification": false,
"simulation": false,
"fileId": "123e4567-e89b-12d3-a456-426614174000",
"file": "binary",
"fileName": "synchronization_file",
"deleteFile": false,
"continueOnError": false,
"relationsAction": "REPLACE",
"attributesAction": "REPLACE",
"separator": ";",
"quote": "\"",
"escape": "\\",
"strictQuotes": false,
"ignoreLeadingWhitespace": false,
"headerRow": false,
"template": "text"
}Synchronization batch job successfully started.
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"createdBy": "4d250cc5-e583-4640-9874-b93d82c7a6cb",
"createdOn": 1475503010320,
"lastModifiedBy": "a073ff90-e7bc-4b35-ba90-c4d475f642fe",
"lastModifiedOn": 1476703764163,
"system": true,
"name": "Test name",
"type": "IMPORT",
"userId": "123e4567-e89b-12d3-a456-426614174000",
"visibility": 1,
"progressPercentage": 50,
"cancelable": true,
"startDate": 1488016800,
"endDate": 1488021800,
"state": "COMPLETED",
"result": "SUCCESS",
"message": "Import finished in 12s."
}Starts batch synchronization from the Excel file in job (asynchronously).
Request can either accept id of the uploaded file that contains Excel input which should be used for import or the file itself. The input file is treated as a part (batch) of synchronization process. After last batch, finalization (cleanup) process should be called.
Collibra REST API authentication using Basic Authentication.
The synchronization id used to distinguish different synchronizations.
Whether job status notification should be sent. The default value is false.
falseThe batchSize parameter is now deprecated and is ignored during command execution.
1000Whether the import should be triggered as a simulation. The default value is false.
If true, the result of the import simulation is available at the end of the job but none of the changes are applied in Collibra.
This parameter does not apply to synchronization requests. It is only relevant for import and ignored for synchronization methods.
falseWhether the import Result should be persisted or forgotten. The default value is false.
If true, the list of added/updated/removed resources will be stored in the job message.
If the resulting job message is too long, no resource information will be stored.
DEPRECATED:This parameter is deprecated and will be removed in the future..
falseThe id of uploaded file.
NOTE: if this field is used, file should not be set.
The file to upload. If set, then also fileName should be provided.
NOTE: if this field is used, fileId should not be set.
The name of the file to upload. If set, then also file should be provided.
NOTE: if this field is used, fileId should not be set.
synchronization_fileWhether the file should be deleted after the synchronization job is finished, regardless of the result. The default value is false.
NOTE: if the file corresponds to an attachment, the attachment will be deleted.
falseWhether the import should continue if some of the import commands are invalid or failed to execute. The default value is false.
If true, the valid commands are still committed to the database, which can lead to partial results being stored.
falseShould all existing relations for the specified relation types be replaced or should the import only add new relations. Possible values are: ADD_OR_IGNORE and REPLACE. The default value is: REPLACE.
REPLACEPattern: ADD_OR_IGNORE|REPLACEShould all existing attributes for the specified attribute types be replaced or should the import only add new attributes whose value didn't exist yet. Possible values are: ADD_OR_IGNORE and REPLACE. The default value is: REPLACE.
REPLACEPattern: ADD_OR_IGNORE|REPLACEThe name of the Excel sheet.
If the name is null and sheetIndex is null, the first sheet
of the workbook will be used for the synchronization.
If the name is null and sheetIndex is not null, the sheet
with the index specified by value of sheetIndex will be used for the synchronization.
The index of the Excel sheet.
If the index is null and sheetName is null, the first sheet
of the workbook will be used for the synchronization.
If the index is null and sheetName is not null, the sheet
with the name specified by value of sheetName will be used for the synchronization.
Whether the first row of the synchronized Excel file is the header. The default value is false.
The template that should be used for parsing and synchronizing the contents of the Excel file.
There is one placeholder currently supported:
- ${x} - refers to the n-th column in the Excel file, e.g. ${1}, ${2}, ...)
Example of a correct JSON template:
[
{
"resourceType": "Asset",
"identifier": {
"name": "${1}",
"domain": {
"name": "${2}",
"community": {
"name": "Some Community"
}
}
},
"attributes" : {
"00000000-0000-0000-0000-000000003115" : [ {
"value" : "${3}"
} ],
"00000000-0000-0000-0000-000000000222" : [ {
"value" : "${4}"
} ]
}
}
]
Synchronization batch job successfully started.
Represents a job. Job is a single atomic task that is to be performed asynchronously
The id of the represented object (entity).
The id of the user that created this resource.
4d250cc5-e583-4640-9874-b93d82c7a6cbThe timestamp (in UTC time standard) of the creation of this resource.
1475503010320The id of the user who modified this resource the last time.
a073ff90-e7bc-4b35-ba90-c4d475f642feThe timestamp (in UTC time standard) of the last modification of this resource.
1476703764163Whether this is a system resource or not.
The type of the resource, e.g. [Community, Asset, Domain, Attribute, Relation, WorkflowInstance, ...]. This property is deprecated and will be removed in the future. To stay backwards compatible while still allowing new types of resources to be introduced, a resource discriminator property (of type String) has been added to the subtypes of Resource where it adds value, e.g. assignedResourceDiscriminator on AssignedResource, or attributeDiscriminator on Attribute. A discriminator is only added on subtypes whose declared return type can represent more than one kind of resource; it is omitted where the return type can only ever be a single kind, as it would then always hold the same value and carry no additional information. For new types of resource that didn't exist before this change, the resourceType will be BaseDataType.
The name of the resource.
Test nameThe type of the job.
IMPORTThe ID of the user that initiated this job.
The visibility of the job.
The progress percentage of the job.
50Whether this job is cancelable or not. If set to false it will not be possible to cancel the job once submitted.
The start date of the job.
1488016800The end date of the job.
1488021800The state of the job.
COMPLETEDPossible values: The result of the job.
SUCCESSPossible values: The message of the job.
Import finished in 12s.POST /rest/2.0/import/synchronize/{synchronizationId}/batch/excel-job HTTP/1.1
Authorization: Basic username:password
Content-Type: multipart/form-data
Accept: */*
Content-Length: 312
{
"sendNotification": false,
"simulation": false,
"fileId": "123e4567-e89b-12d3-a456-426614174000",
"file": "binary",
"fileName": "synchronization_file",
"deleteFile": false,
"continueOnError": false,
"relationsAction": "REPLACE",
"attributesAction": "REPLACE",
"sheetName": "text",
"sheetIndex": 1,
"headerRow": true,
"template": "text"
}Synchronization batch job successfully started.
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"createdBy": "4d250cc5-e583-4640-9874-b93d82c7a6cb",
"createdOn": 1475503010320,
"lastModifiedBy": "a073ff90-e7bc-4b35-ba90-c4d475f642fe",
"lastModifiedOn": 1476703764163,
"system": true,
"name": "Test name",
"type": "IMPORT",
"userId": "123e4567-e89b-12d3-a456-426614174000",
"visibility": 1,
"progressPercentage": 50,
"cancelable": true,
"startDate": 1488016800,
"endDate": 1488021800,
"state": "COMPLETED",
"result": "SUCCESS",
"message": "Import finished in 12s."
}Starts batch synchronization from the JSON file in job (asynchronously).
Request can either accept id of the uploaded file that contains JSON input which should be used for import or the file itself. The input file is treated as a part (batch) of synchronization process. After last batch, finalization (cleanup) process should be called.
Collibra REST API authentication using Basic Authentication.
The synchronization id used to distinguish different synchronizations.
Whether job status notification should be sent. The default value is false.
falseThe batchSize parameter is now deprecated and is ignored during command execution.
1000Whether the import should be triggered as a simulation. The default value is false.
If true, the result of the import simulation is available at the end of the job but none of the changes are applied in Collibra.
This parameter does not apply to synchronization requests. It is only relevant for import and ignored for synchronization methods.
falseWhether the import Result should be persisted or forgotten. The default value is false.
If true, the list of added/updated/removed resources will be stored in the job message.
If the resulting job message is too long, no resource information will be stored.
DEPRECATED:This parameter is deprecated and will be removed in the future..
falseThe id of uploaded file.
NOTE: if this field is used, file should not be set.
The file to upload. If set, then also fileName should be provided.
NOTE: if this field is used, fileId should not be set.
The name of the file to upload. If set, then also file should be provided.
NOTE: if this field is used, fileId should not be set.
synchronization_fileWhether the file should be deleted after the synchronization job is finished, regardless of the result. The default value is false.
NOTE: if the file corresponds to an attachment, the attachment will be deleted.
falseWhether the import should continue if some of the import commands are invalid or failed to execute. The default value is false.
If true, the valid commands are still committed to the database, which can lead to partial results being stored.
falseShould all existing relations for the specified relation types be replaced or should the import only add new relations. Possible values are: ADD_OR_IGNORE and REPLACE. The default value is: REPLACE.
REPLACEPattern: ADD_OR_IGNORE|REPLACEShould all existing attributes for the specified attribute types be replaced or should the import only add new attributes whose value didn't exist yet. Possible values are: ADD_OR_IGNORE and REPLACE. The default value is: REPLACE.
REPLACEPattern: ADD_OR_IGNORE|REPLACEWhether empty attribute values should be allowed during import. The default value is false.
When false (default), attribute values that are empty or blank are filtered out and not imported. When true, empty attribute values are preserved and imported as-is.
falseSynchronization batch job successfully started.
Represents a job. Job is a single atomic task that is to be performed asynchronously
The id of the represented object (entity).
The id of the user that created this resource.
4d250cc5-e583-4640-9874-b93d82c7a6cbThe timestamp (in UTC time standard) of the creation of this resource.
1475503010320The id of the user who modified this resource the last time.
a073ff90-e7bc-4b35-ba90-c4d475f642feThe timestamp (in UTC time standard) of the last modification of this resource.
1476703764163Whether this is a system resource or not.
The type of the resource, e.g. [Community, Asset, Domain, Attribute, Relation, WorkflowInstance, ...]. This property is deprecated and will be removed in the future. To stay backwards compatible while still allowing new types of resources to be introduced, a resource discriminator property (of type String) has been added to the subtypes of Resource where it adds value, e.g. assignedResourceDiscriminator on AssignedResource, or attributeDiscriminator on Attribute. A discriminator is only added on subtypes whose declared return type can represent more than one kind of resource; it is omitted where the return type can only ever be a single kind, as it would then always hold the same value and carry no additional information. For new types of resource that didn't exist before this change, the resourceType will be BaseDataType.
The name of the resource.
Test nameThe type of the job.
IMPORTThe ID of the user that initiated this job.
The visibility of the job.
The progress percentage of the job.
50Whether this job is cancelable or not. If set to false it will not be possible to cancel the job once submitted.
The start date of the job.
1488016800The end date of the job.
1488021800The state of the job.
COMPLETEDPossible values: The result of the job.
SUCCESSPossible values: The message of the job.
Import finished in 12s.POST /rest/2.0/import/synchronize/{synchronizationId}/batch/json-job HTTP/1.1
Authorization: Basic username:password
Content-Type: multipart/form-data
Accept: */*
Content-Length: 277
{
"sendNotification": false,
"simulation": false,
"fileId": "123e4567-e89b-12d3-a456-426614174000",
"file": "binary",
"fileName": "synchronization_file",
"deleteFile": false,
"continueOnError": false,
"relationsAction": "REPLACE",
"attributesAction": "REPLACE",
"allowEmptyAttributeValues": false
}Synchronization batch job successfully started.
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"createdBy": "4d250cc5-e583-4640-9874-b93d82c7a6cb",
"createdOn": 1475503010320,
"lastModifiedBy": "a073ff90-e7bc-4b35-ba90-c4d475f642fe",
"lastModifiedOn": 1476703764163,
"system": true,
"name": "Test name",
"type": "IMPORT",
"userId": "123e4567-e89b-12d3-a456-426614174000",
"visibility": 1,
"progressPercentage": 50,
"cancelable": true,
"startDate": 1488016800,
"endDate": 1488021800,
"state": "COMPLETED",
"result": "SUCCESS",
"message": "Import finished in 12s."
}Starts full synchronization from the CSV file in job (asynchronously).
Request can either accept id of the uploaded file that contains CSV input which should be used for import or the file itself. The input file is treated as a full input of synchronization process.
Collibra REST API authentication using Basic Authentication.
The synchronization id used to distinguish different synchronizations.
Whether job status notification should be sent. The default value is false.
falseThe batchSize parameter is now deprecated and is ignored during command execution.
1000Whether the import should be triggered as a simulation. The default value is false.
If true, the result of the import simulation is available at the end of the job but none of the changes are applied in Collibra.
This parameter does not apply to synchronization requests. It is only relevant for import and ignored for synchronization methods.
falseWhether the import Result should be persisted or forgotten. The default value is false.
If true, the list of added/updated/removed resources will be stored in the job message.
If the resulting job message is too long, no resource information will be stored.
DEPRECATED:This parameter is deprecated and will be removed in the future..
falseThe id of uploaded file.
NOTE: if this field is used, file should not be set.
The file to upload. If set, then also fileName should be provided.
NOTE: if this field is used, fileId should not be set.
The name of the file to upload. If set, then also file should be provided.
NOTE: if this field is used, fileId should not be set.
synchronization_fileWhether the file should be deleted after the synchronization job is finished, regardless of the result. The default value is false.
NOTE: if the file corresponds to an attachment, the attachment will be deleted.
falseWhether the import should continue if some of the import commands are invalid or failed to execute. The default value is false.
If true, the valid commands are still committed to the database, which can lead to partial results being stored.
falseShould all existing relations for the specified relation types be replaced or should the import only add new relations. Possible values are: ADD_OR_IGNORE and REPLACE. The default value is: REPLACE.
REPLACEPattern: ADD_OR_IGNORE|REPLACEShould all existing attributes for the specified attribute types be replaced or should the import only add new attributes whose value didn't exist yet. Possible values are: ADD_OR_IGNORE and REPLACE. The default value is: REPLACE.
REPLACEPattern: ADD_OR_IGNORE|REPLACEThe synchronization finalization strategy used in the clean up action. This determines whether to remove, ignore or change the status of assets that no longer exist in the external system.
Possible values are REMOVE_RESOURCES, CHANGE_STATUS and IGNORE.
When you select CHANGE_STATUS, you must also provide a value for missingAssetStatusId.
REMOVE_RESOURCESPattern: REMOVE_RESOURCES|CHANGE_STATUS|IGNOREIf finalizationStrategy is set to CHANGE_STATUS then this parameter determines the new status ID for assets that no longer exist in the external system.
The delimiter character used to separate entries. The default value is ';'.
;The delimiter character used for quoted entries. The default value is '"'.
"The delimiter character used to escape separator or quote character. The default value is '\'.
\Whether the characters outside quotes should be ignored. The default value is false.
Whether whitespace characters before quotes should be ignored. The default value is false.
Whether the first row of the synchronized CSV file is the header. The default value is false.
The template that should be used for parsing and synchronizing the contents of the CSV file.
There is one placeholder currently supported:
- ${x} - refers to the n-th column in the CSV file, e.g. ${1}, ${2}, ...)
Example of a correct JSON template:
[
{
"resourceType": "Asset",
"identifier": {
"name": "${1}",
"domain": {
"name": "${2}",
"community": {
"name": "Some Community"
}
}
},
"attributes" : {
"00000000-0000-0000-0000-000000003115" : [ {
"value" : "${3}"
} ],
"00000000-0000-0000-0000-000000000222" : [ {
"value" : "${4}"
} ]
}
}
]
Synchronization job successfully started.
Represents a job. Job is a single atomic task that is to be performed asynchronously
The id of the represented object (entity).
The id of the user that created this resource.
4d250cc5-e583-4640-9874-b93d82c7a6cbThe timestamp (in UTC time standard) of the creation of this resource.
1475503010320The id of the user who modified this resource the last time.
a073ff90-e7bc-4b35-ba90-c4d475f642feThe timestamp (in UTC time standard) of the last modification of this resource.
1476703764163Whether this is a system resource or not.
The type of the resource, e.g. [Community, Asset, Domain, Attribute, Relation, WorkflowInstance, ...]. This property is deprecated and will be removed in the future. To stay backwards compatible while still allowing new types of resources to be introduced, a resource discriminator property (of type String) has been added to the subtypes of Resource where it adds value, e.g. assignedResourceDiscriminator on AssignedResource, or attributeDiscriminator on Attribute. A discriminator is only added on subtypes whose declared return type can represent more than one kind of resource; it is omitted where the return type can only ever be a single kind, as it would then always hold the same value and carry no additional information. For new types of resource that didn't exist before this change, the resourceType will be BaseDataType.
The name of the resource.
Test nameThe type of the job.
IMPORTThe ID of the user that initiated this job.
The visibility of the job.
The progress percentage of the job.
50Whether this job is cancelable or not. If set to false it will not be possible to cancel the job once submitted.
The start date of the job.
1488016800The end date of the job.
1488021800The state of the job.
COMPLETEDPossible values: The result of the job.
SUCCESSPossible values: The message of the job.
Import finished in 12s.POST /rest/2.0/import/synchronize/{synchronizationId}/csv-job HTTP/1.1
Authorization: Basic username:password
Content-Type: multipart/form-data
Accept: */*
Content-Length: 476
{
"sendNotification": false,
"simulation": false,
"fileId": "123e4567-e89b-12d3-a456-426614174000",
"file": "binary",
"fileName": "synchronization_file",
"deleteFile": false,
"continueOnError": false,
"relationsAction": "REPLACE",
"attributesAction": "REPLACE",
"finalizationStrategy": "REMOVE_RESOURCES",
"missingAssetStatusId": "123e4567-e89b-12d3-a456-426614174000",
"separator": ";",
"quote": "\"",
"escape": "\\",
"strictQuotes": true,
"ignoreLeadingWhitespace": true,
"headerRow": true,
"template": "text"
}Synchronization job successfully started.
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"createdBy": "4d250cc5-e583-4640-9874-b93d82c7a6cb",
"createdOn": 1475503010320,
"lastModifiedBy": "a073ff90-e7bc-4b35-ba90-c4d475f642fe",
"lastModifiedOn": 1476703764163,
"system": true,
"name": "Test name",
"type": "IMPORT",
"userId": "123e4567-e89b-12d3-a456-426614174000",
"visibility": 1,
"progressPercentage": 50,
"cancelable": true,
"startDate": 1488016800,
"endDate": 1488021800,
"state": "COMPLETED",
"result": "SUCCESS",
"message": "Import finished in 12s."
}Starts full synchronization from the Excel file in job (asynchronously).
Request can either accept id of the uploaded file that contains Excel input which should be used for import or the file itself. The input file is treated as a full input of synchronization process.
Collibra REST API authentication using Basic Authentication.
The synchronization id used to distinguish different synchronizations.
Whether job status notification should be sent. The default value is false.
falseThe batchSize parameter is now deprecated and is ignored during command execution.
1000Whether the import should be triggered as a simulation. The default value is false.
If true, the result of the import simulation is available at the end of the job but none of the changes are applied in Collibra.
This parameter does not apply to synchronization requests. It is only relevant for import and ignored for synchronization methods.
falseWhether the import Result should be persisted or forgotten. The default value is false.
If true, the list of added/updated/removed resources will be stored in the job message.
If the resulting job message is too long, no resource information will be stored.
DEPRECATED:This parameter is deprecated and will be removed in the future..
falseThe id of uploaded file.
NOTE: if this field is used, file should not be set.
The file to upload. If set, then also fileName should be provided.
NOTE: if this field is used, fileId should not be set.
The name of the file to upload. If set, then also file should be provided.
NOTE: if this field is used, fileId should not be set.
synchronization_fileWhether the file should be deleted after the synchronization job is finished, regardless of the result. The default value is false.
NOTE: if the file corresponds to an attachment, the attachment will be deleted.
falseWhether the import should continue if some of the import commands are invalid or failed to execute. The default value is false.
If true, the valid commands are still committed to the database, which can lead to partial results being stored.
falseShould all existing relations for the specified relation types be replaced or should the import only add new relations. Possible values are: ADD_OR_IGNORE and REPLACE. The default value is: REPLACE.
REPLACEPattern: ADD_OR_IGNORE|REPLACEShould all existing attributes for the specified attribute types be replaced or should the import only add new attributes whose value didn't exist yet. Possible values are: ADD_OR_IGNORE and REPLACE. The default value is: REPLACE.
REPLACEPattern: ADD_OR_IGNORE|REPLACEThe synchronization finalization strategy used in the clean up action. This determines whether to remove, ignore or change the status of assets that no longer exist in the external system.
Possible values are REMOVE_RESOURCES, CHANGE_STATUS and IGNORE.
When you select CHANGE_STATUS, you must also provide a value for missingAssetStatusId.
REMOVE_RESOURCESPattern: REMOVE_RESOURCES|CHANGE_STATUS|IGNOREIf finalizationStrategy is set to CHANGE_STATUS then this parameter determines the new status ID for assets that no longer exist in the external system.
The name of the Excel sheet.
If the name is null and sheetIndex is null, the first sheet
of the workbook will be used for the synchronization.
If the name is null and sheetIndex is not null, the sheet
with the index specified by value of sheetIndex will be used for the synchronization.
The index of the Excel sheet.
If the index is null and sheetName is null, the first sheet
of the workbook will be used for the synchronization.
If the index is null and sheetName is not null, the sheet
with the name specified by value of sheetName will be used for the synchronization.
Whether the first row of the synchronized Excel file is the header. The default value is false.
The template that should be used for parsing and synchronizing the contents of the Excel file.
There is one placeholder currently supported:
- ${x} - refers to the n-th column in the Excel file, e.g. ${1}, ${2}, ...)
Example of a correct JSON template:
[
{
"resourceType": "Asset",
"identifier": {
"name": "${1}",
"domain": {
"name": "${2}",
"community": {
"name": "Some Community"
}
}
},
"attributes" : {
"00000000-0000-0000-0000-000000003115" : [ {
"value" : "${3}"
} ],
"00000000-0000-0000-0000-000000000222" : [ {
"value" : "${4}"
} ]
}
}
]
Synchronization job successfully started.
Represents a job. Job is a single atomic task that is to be performed asynchronously
The id of the represented object (entity).
The id of the user that created this resource.
4d250cc5-e583-4640-9874-b93d82c7a6cbThe timestamp (in UTC time standard) of the creation of this resource.
1475503010320The id of the user who modified this resource the last time.
a073ff90-e7bc-4b35-ba90-c4d475f642feThe timestamp (in UTC time standard) of the last modification of this resource.
1476703764163Whether this is a system resource or not.
The type of the resource, e.g. [Community, Asset, Domain, Attribute, Relation, WorkflowInstance, ...]. This property is deprecated and will be removed in the future. To stay backwards compatible while still allowing new types of resources to be introduced, a resource discriminator property (of type String) has been added to the subtypes of Resource where it adds value, e.g. assignedResourceDiscriminator on AssignedResource, or attributeDiscriminator on Attribute. A discriminator is only added on subtypes whose declared return type can represent more than one kind of resource; it is omitted where the return type can only ever be a single kind, as it would then always hold the same value and carry no additional information. For new types of resource that didn't exist before this change, the resourceType will be BaseDataType.
The name of the resource.
Test nameThe type of the job.
IMPORTThe ID of the user that initiated this job.
The visibility of the job.
The progress percentage of the job.
50Whether this job is cancelable or not. If set to false it will not be possible to cancel the job once submitted.
The start date of the job.
1488016800The end date of the job.
1488021800The state of the job.
COMPLETEDPossible values: The result of the job.
SUCCESSPossible values: The message of the job.
Import finished in 12s.POST /rest/2.0/import/synchronize/{synchronizationId}/excel-job HTTP/1.1
Authorization: Basic username:password
Content-Type: multipart/form-data
Accept: */*
Content-Length: 416
{
"sendNotification": false,
"simulation": false,
"fileId": "123e4567-e89b-12d3-a456-426614174000",
"file": "binary",
"fileName": "synchronization_file",
"deleteFile": false,
"continueOnError": false,
"relationsAction": "REPLACE",
"attributesAction": "REPLACE",
"finalizationStrategy": "REMOVE_RESOURCES",
"missingAssetStatusId": "123e4567-e89b-12d3-a456-426614174000",
"sheetName": "text",
"sheetIndex": 1,
"headerRow": true,
"template": "text"
}Synchronization job successfully started.
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"createdBy": "4d250cc5-e583-4640-9874-b93d82c7a6cb",
"createdOn": 1475503010320,
"lastModifiedBy": "a073ff90-e7bc-4b35-ba90-c4d475f642fe",
"lastModifiedOn": 1476703764163,
"system": true,
"name": "Test name",
"type": "IMPORT",
"userId": "123e4567-e89b-12d3-a456-426614174000",
"visibility": 1,
"progressPercentage": 50,
"cancelable": true,
"startDate": 1488016800,
"endDate": 1488021800,
"state": "COMPLETED",
"result": "SUCCESS",
"message": "Import finished in 12s."
}Starts synchronization finalization in job (asynchronously).
Note that while the only mandatory parameter is synchronizationId, requests that omit all optional parameters fail because the multipart-based setup requires at least one part to be present in the body. To meet this requirement and still use all the default values, you can pass a dummy part, for example -F 'foo=bar' if using curl.
Collibra REST API authentication using Basic Authentication.
The synchronization ID used to distinguish different synchronizations.
Whether job status notification should be sent. The default value is false.
falseThe batchSize parameter is now deprecated and is ignored during command execution.
1000Whether the import should be triggered as a simulation. The default value is false.
If true, the result of the import simulation is available at the end of the job but none of the changes are applied in Collibra.
This parameter does not apply to synchronization requests. It is only relevant for import and ignored for synchronization methods.
falseWhether the import Result should be persisted or forgotten. The default value is false.
If true, the list of added/updated/removed resources will be stored in the job message.
If the resulting job message is too long, no resource information will be stored.
DEPRECATED:This parameter is deprecated and will be removed in the future..
falseThe synchronization finalization strategy used in the clean up action. This determines whether to remove, ignore or change the status of assets that no longer exist in the external system.
Possible values are REMOVE_RESOURCES, CHANGE_STATUS and IGNORE.
When you select CHANGE_STATUS, you must also provide a value for missingAssetStatusId.
REMOVE_RESOURCESPattern: REMOVE_RESOURCES|CHANGE_STATUS|IGNOREIf finalizationStrategy is set to CHANGE_STATUS then this parameter determines the new status ID for assets that no longer exist in the external system.
Whether the operation should continue if some of the finalization steps failed to execute. The default value is false.
If true, the valid steps are still committed to the database, which can lead to partial results being stored.
falseSynchronization finalization job successfully started.
Represents a job. Job is a single atomic task that is to be performed asynchronously
The id of the represented object (entity).
The id of the user that created this resource.
4d250cc5-e583-4640-9874-b93d82c7a6cbThe timestamp (in UTC time standard) of the creation of this resource.
1475503010320The id of the user who modified this resource the last time.
a073ff90-e7bc-4b35-ba90-c4d475f642feThe timestamp (in UTC time standard) of the last modification of this resource.
1476703764163Whether this is a system resource or not.
The type of the resource, e.g. [Community, Asset, Domain, Attribute, Relation, WorkflowInstance, ...]. This property is deprecated and will be removed in the future. To stay backwards compatible while still allowing new types of resources to be introduced, a resource discriminator property (of type String) has been added to the subtypes of Resource where it adds value, e.g. assignedResourceDiscriminator on AssignedResource, or attributeDiscriminator on Attribute. A discriminator is only added on subtypes whose declared return type can represent more than one kind of resource; it is omitted where the return type can only ever be a single kind, as it would then always hold the same value and carry no additional information. For new types of resource that didn't exist before this change, the resourceType will be BaseDataType.
The name of the resource.
Test nameThe type of the job.
IMPORTThe ID of the user that initiated this job.
The visibility of the job.
The progress percentage of the job.
50Whether this job is cancelable or not. If set to false it will not be possible to cancel the job once submitted.
The start date of the job.
1488016800The end date of the job.
1488021800The state of the job.
COMPLETEDPossible values: The result of the job.
SUCCESSPossible values: The message of the job.
Import finished in 12s.POST /rest/2.0/import/synchronize/{synchronizationId}/finalize/job HTTP/1.1
Authorization: Basic username:password
Content-Type: multipart/form-data
Accept: */*
Content-Length: 173
{
"sendNotification": false,
"simulation": false,
"finalizationStrategy": "REMOVE_RESOURCES",
"missingAssetStatusId": "123e4567-e89b-12d3-a456-426614174000",
"continueOnError": false
}Synchronization finalization job successfully started.
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"createdBy": "4d250cc5-e583-4640-9874-b93d82c7a6cb",
"createdOn": 1475503010320,
"lastModifiedBy": "a073ff90-e7bc-4b35-ba90-c4d475f642fe",
"lastModifiedOn": 1476703764163,
"system": true,
"name": "Test name",
"type": "IMPORT",
"userId": "123e4567-e89b-12d3-a456-426614174000",
"visibility": 1,
"progressPercentage": 50,
"cancelable": true,
"startDate": 1488016800,
"endDate": 1488021800,
"state": "COMPLETED",
"result": "SUCCESS",
"message": "Import finished in 12s."
}Starts full synchronization from the JSON file in job (asynchronously).
Request can either accept id of the uploaded file that contains JSON input which should be used for import or the file itself. The input file is treated as a full input of synchronization process.
Collibra REST API authentication using Basic Authentication.
The synchronization id used to distinguish different synchronizations.
Whether job status notification should be sent. The default value is false.
falseThe batchSize parameter is now deprecated and is ignored during command execution.
1000Whether the import should be triggered as a simulation. The default value is false.
If true, the result of the import simulation is available at the end of the job but none of the changes are applied in Collibra.
This parameter does not apply to synchronization requests. It is only relevant for import and ignored for synchronization methods.
falseWhether the import Result should be persisted or forgotten. The default value is false.
If true, the list of added/updated/removed resources will be stored in the job message.
If the resulting job message is too long, no resource information will be stored.
DEPRECATED:This parameter is deprecated and will be removed in the future..
falseThe id of uploaded file.
NOTE: if this field is used, file should not be set.
The file to upload. If set, then also fileName should be provided.
NOTE: if this field is used, fileId should not be set.
The name of the file to upload. If set, then also file should be provided.
NOTE: if this field is used, fileId should not be set.
synchronization_fileWhether the file should be deleted after the synchronization job is finished, regardless of the result. The default value is false.
NOTE: if the file corresponds to an attachment, the attachment will be deleted.
falseWhether the import should continue if some of the import commands are invalid or failed to execute. The default value is false.
If true, the valid commands are still committed to the database, which can lead to partial results being stored.
falseShould all existing relations for the specified relation types be replaced or should the import only add new relations. Possible values are: ADD_OR_IGNORE and REPLACE. The default value is: REPLACE.
REPLACEPattern: ADD_OR_IGNORE|REPLACEShould all existing attributes for the specified attribute types be replaced or should the import only add new attributes whose value didn't exist yet. Possible values are: ADD_OR_IGNORE and REPLACE. The default value is: REPLACE.
REPLACEPattern: ADD_OR_IGNORE|REPLACEThe synchronization finalization strategy used in the clean up action. This determines whether to remove, ignore or change the status of assets that no longer exist in the external system.
Possible values are REMOVE_RESOURCES, CHANGE_STATUS and IGNORE.
When you select CHANGE_STATUS, you must also provide a value for missingAssetStatusId.
REMOVE_RESOURCESPattern: REMOVE_RESOURCES|CHANGE_STATUS|IGNOREIf finalizationStrategy is set to CHANGE_STATUS then this parameter determines the new status ID for assets that no longer exist in the external system.
Whether empty attribute values should be allowed during import. The default value is false.
When false (default), attribute values that are empty or blank are filtered out and not imported. When true, empty attribute values are preserved and imported as-is.
falseSynchronization job successfully started.
Represents a job. Job is a single atomic task that is to be performed asynchronously
The id of the represented object (entity).
The id of the user that created this resource.
4d250cc5-e583-4640-9874-b93d82c7a6cbThe timestamp (in UTC time standard) of the creation of this resource.
1475503010320The id of the user who modified this resource the last time.
a073ff90-e7bc-4b35-ba90-c4d475f642feThe timestamp (in UTC time standard) of the last modification of this resource.
1476703764163Whether this is a system resource or not.
The type of the resource, e.g. [Community, Asset, Domain, Attribute, Relation, WorkflowInstance, ...]. This property is deprecated and will be removed in the future. To stay backwards compatible while still allowing new types of resources to be introduced, a resource discriminator property (of type String) has been added to the subtypes of Resource where it adds value, e.g. assignedResourceDiscriminator on AssignedResource, or attributeDiscriminator on Attribute. A discriminator is only added on subtypes whose declared return type can represent more than one kind of resource; it is omitted where the return type can only ever be a single kind, as it would then always hold the same value and carry no additional information. For new types of resource that didn't exist before this change, the resourceType will be BaseDataType.
The name of the resource.
Test nameThe type of the job.
IMPORTThe ID of the user that initiated this job.
The visibility of the job.
The progress percentage of the job.
50Whether this job is cancelable or not. If set to false it will not be possible to cancel the job once submitted.
The start date of the job.
1488016800The end date of the job.
1488021800The state of the job.
COMPLETEDPossible values: The result of the job.
SUCCESSPossible values: The message of the job.
Import finished in 12s.POST /rest/2.0/import/synchronize/{synchronizationId}/json-job HTTP/1.1
Authorization: Basic username:password
Content-Type: multipart/form-data
Accept: */*
Content-Length: 381
{
"sendNotification": false,
"simulation": false,
"fileId": "123e4567-e89b-12d3-a456-426614174000",
"file": "binary",
"fileName": "synchronization_file",
"deleteFile": false,
"continueOnError": false,
"relationsAction": "REPLACE",
"attributesAction": "REPLACE",
"finalizationStrategy": "REMOVE_RESOURCES",
"missingAssetStatusId": "123e4567-e89b-12d3-a456-426614174000",
"allowEmptyAttributeValues": false
}Synchronization job successfully started.
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"createdBy": "4d250cc5-e583-4640-9874-b93d82c7a6cb",
"createdOn": 1475503010320,
"lastModifiedBy": "a073ff90-e7bc-4b35-ba90-c4d475f642fe",
"lastModifiedOn": 1476703764163,
"system": true,
"name": "Test name",
"type": "IMPORT",
"userId": "123e4567-e89b-12d3-a456-426614174000",
"visibility": 1,
"progressPercentage": 50,
"cancelable": true,
"startDate": 1488016800,
"endDate": 1488021800,
"state": "COMPLETED",
"result": "SUCCESS",
"message": "Import finished in 12s."
}Last updated
Was this helpful?